Page MenuHomePhabricator

Add LocationContext as a parameter to checkRegionChanges
ClosedPublic

Authored by k-wisniewski on Nov 24 2016, 3:19 AM.

Details

Summary

This patch adds LocationContext to checkRegionChanges. This patch has been distilled out from other changes that I'll add separately. Following @zaks.anna suggestion, optional CallEvent parameter is now the last one. I have also updated documentation in CheckerDocumentation.cpp. For more discussion see https://reviews.llvm.org/D26588

Diff Detail

Repository
rL LLVM

Event Timeline

k-wisniewski retitled this revision from to Add LocationContext as a parameter to checkRegionChanges.
k-wisniewski updated this object.
k-wisniewski added subscribers: cfe-commits, zaks.anna.
zaks.anna edited edge metadata.Nov 30 2016, 10:40 AM

Thank you for doing this!!!

Artem, do you want to disallow the creation of successors from checkRegionChanges callback or can this go in as is?

Anna.

lib/StaticAnalyzer/Checkers/CheckerDocumentation.cpp
240 ↗(On Diff #79204)

You should mention that you are deleting this in the commit message or split into a separate commit that could go in before this commit.

255 ↗(On Diff #79204)

Please, remove this comment altogether.

zaks.anna accepted this revision.Jan 12 2017, 10:01 AM
zaks.anna edited edge metadata.

This needs to be committed.

This revision is now accepted and ready to land.Jan 12 2017, 10:01 AM
This revision was automatically updated to reflect the committed changes.